Bug 981125 - gnome-games-data left behind on update to Fedora 19
gnome-games-data left behind on update to Fedora 19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-mines (Show other bugs)
19
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 01:34 EDT by Mattias Ellert
Modified: 2015-02-17 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:50:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-07-04 01:34:44 EDT
Description of problem:

gnome-games was split into individual packages, and was retired. It is properly obsoleted and removed when upgrading to Fedora 19:

[ellert@localhost ~]$ repoquery --whatobsoletes gnome-games
gnome-mines-0:3.8.1-3.fc19.x86_64
gnome-sudoku-1:3.8.1-3.fc19.noarch
iagno-0:3.8.1-4.fc19.x86_64
swell-foop-0:3.8.1-4.fc19.x86_64

But, the gnome-games-data sub package is not obsoleted by anything and is left behind:

[ellert@localhost ~]$ repoquery --whatobsoletes gnome-games-data
[ellert@localhost ~]$ rpm -q gnome-games-data
gnome-games-data-3.6.1-2.fc18.noarch

Version-Release number of selected component (if applicable):
See above

How reproducible:
I only did the update once, but it should happen every time.

Steps to Reproduce:
1. Update from F18 to F19

Actual results:
Retired gnome-games-data left behind

Expected results:
Retired gnome-games-data removed
Comment 1 Fedora End Of Life 2015-01-09 13:39:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:50:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.